## python-securetar 2026.2.0

=== requirements.txt ===
cryptography
PyNaCl

## python-securetar 2025.2.1

=== debian/changelog ===
python-securetar (2025.2.1-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Mon, 07 Apr 2025 22:16:51 +0100

python-securetar (2025.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1102245)

 -- Edward Betts <edward@4angle.com>  Sun, 06 Apr 2025 17:07:09 +0100

=== debian/control ===
Source: python-securetar
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
 python3-cryptography <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/pvizeli/securetar
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-securetar
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-securetar.git

Package: python3-securetar
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library for secure and encrypted tar file handling
 This library provides secure management of tar files with added support for
 encryption. It offers a streaming interface to manage contents efficiently,
 ensuring secure data handling without compromising performance. Users can
 create both outer and inner compressed tar structures, simplifying the
 management of complex archival routines.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=-vv

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for dir in ./.pybuild/*; do \
		cp -av $(CURDIR)/tests $$dir/build; \
	done
	dh_auto_test
	rm -r ./.pybuild/*/build/tests ./.pybuild/*/build/core*tar.gz*
endif

=== debian/watch ===
version=4
https://github.com/pvizeli/securetar/tags .*/v?(\d\S+)\.tar\.gz

## python-securetar 2025.12.0

=== debian/changelog ===
python-securetar (2025.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove empty debian/pybuild.testfiles. (Closes: #1123311)
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Thu, 25 Dec 2025 14:27:23 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Build-Depends-Indep:
  python3-pytest <!nocheck>,
  python3-cryptography <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/pvizeli/securetar
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-securetar

=== debian/watch ===
Version: 5

Template: Github
Owner: pvizeli
Project: securetar
Version-Mangle: s/b(\d+)$/~b$1/

## python-securetar 2026.2.0

=== debian/changelog ===
python-securetar (2026.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Add test dependency for python3-nacl, added by upstream.
  * Remove test-generated tar and mock-id files from pybuild tree after tests.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Thu, 19 Feb 2026 08:46:06 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -11,9 +10,10 @@
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:
+ python3-cryptography <!nocheck>,
+ python3-nacl <!nocheck>,
  python3-pytest <!nocheck>,
- python3-cryptography <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/pvizeli/securetar
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-securetar
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-securetar.git

=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,7 @@
 		cp -av $(CURDIR)/tests $$dir/build; \
 	done
 	dh_auto_test
+	# Remove test-generated artifacts so they are not installed in dist-packages.
+	find ./.pybuild/*/build -maxdepth 1 -type f \( -name "test.tar" -o -name "<Mock id='*'>" \) -delete
 	rm -r ./.pybuild/*/build/tests ./.pybuild/*/build/core*tar.gz*
 endif
